Loading...
Searching...
No Matches
CheckDivergence< GridT, TreeIterT, DiffScheme > Struct Template Reference

Checks the divergence against a range. More...

`#include <openvdb/tools/Diagnostics.h>`

## Public Types

using | ValueType = typename GridT::ValueType
using | ElementType = typename VecTraits<ValueType>::ElementType
using | TileIterT = TreeIterT
using | VoxelIterT
using | AccT = typename GridT::ConstAccessor

## Public Member Functions

| CheckDivergence (const GridT &grid, const ValueType &_min, const ValueType &_max)
| Constructor taking a grid and a range to be tested against.
bool | operator() (const ElementType &v) const
| Return true if the value is smaller than min or larger than max.
bool | operator() (const TreeIterT &) const
| Return true if zero is outside the range.
bool | operator() (const VoxelIterT &iter) const
| Return true if the divergence at a voxel location of the iterator is out of range.
std::string | str () const
| Return a string describing a failed check.

## Public Attributes

AccT | acc
const ValueType | invdx
const ValueType | minVal
const ValueType | maxVal

## Detailed Description

template<typename GridT, typename TreeIterT = typename GridT::ValueOnCIter, math::DScheme DiffScheme = math::CD_2ND>
struct openvdb::v10_0::tools::CheckDivergence< GridT, TreeIterT, DiffScheme >

Checks the divergence against a range.

## Member Typedef Documentation

## AccT

template<typename GridT, typename TreeIterT = typename GridT::ValueOnCIter, math::DScheme DiffScheme = math::CD_2ND>

using AccT = typename GridT::ConstAccessor

## ElementType

template<typename GridT, typename TreeIterT = typename GridT::ValueOnCIter, math::DScheme DiffScheme = math::CD_2ND>

using ElementType = typename VecTraits<ValueType>::ElementType

## TileIterT

template<typename GridT, typename TreeIterT = typename GridT::ValueOnCIter, math::DScheme DiffScheme = math::CD_2ND>

using TileIterT = TreeIterT

## ValueType

template<typename GridT, typename TreeIterT = typename GridT::ValueOnCIter, math::DScheme DiffScheme = math::CD_2ND>

using ValueType = typename GridT::ValueType

## VoxelIterT

template<typename GridT, typename TreeIterT = typename GridT::ValueOnCIter, math::DScheme DiffScheme = math::CD_2ND>

using VoxelIterT

Initial value:
typename tree::IterTraits<typename TreeIterT::NodeT,
typename TreeIterT::ValueIterT>::template NodeConverter<
typename GridT::TreeType::LeafNodeType>::Type
openvdb::v10_0::tools::Type
openvdb::v10_0::tree::IterTraits
Definition TreeIterator.h:60

## Constructor & Destructor Documentation

## CheckDivergence()

template<typename GridT, typename TreeIterT = typename GridT::ValueOnCIter, math::DScheme DiffScheme = math::CD_2ND>

CheckDivergence | ( | const GridT & | grid,
|  | const ValueType & | _min,
|  | const ValueType & | _max )

inline

Constructor taking a grid and a range to be tested against.

## Member Function Documentation

## operator()() [1/3]

template<typename GridT, typename TreeIterT = typename GridT::ValueOnCIter, math::DScheme DiffScheme = math::CD_2ND>

bool operator() | ( | const ElementType & | v | ) | const

inline

Return true if the value is smaller than min or larger than max.

## operator()() [2/3]

template<typename GridT, typename TreeIterT = typename GridT::ValueOnCIter, math::DScheme DiffScheme = math::CD_2ND>

bool operator() | ( | const TreeIterT & |  | ) | const

inline

Return true if zero is outside the range.

Note
  We assume that the divergence of a tile is always zero.

## operator()() [3/3]

template<typename GridT, typename TreeIterT = typename GridT::ValueOnCIter, math::DScheme DiffScheme = math::CD_2ND>

bool operator() | ( | const VoxelIterT & | iter | ) | const

inline

Return true if the divergence at a voxel location of the iterator is out of range.

## str()

template<typename GridT, typename TreeIterT = typename GridT::ValueOnCIter, math::DScheme DiffScheme = math::CD_2ND>

std::string str | ( |  | ) | const

inline

Return a string describing a failed check.

## Member Data Documentation

## acc

template<typename GridT, typename TreeIterT = typename GridT::ValueOnCIter, math::DScheme DiffScheme = math::CD_2ND>

AccT acc

## invdx

template<typename GridT, typename TreeIterT = typename GridT::ValueOnCIter, math::DScheme DiffScheme = math::CD_2ND>

const ValueType invdx

## maxVal

template<typename GridT, typename TreeIterT = typename GridT::ValueOnCIter, math::DScheme DiffScheme = math::CD_2ND>

const ValueType maxVal

## minVal

template<typename GridT, typename TreeIterT = typename GridT::ValueOnCIter, math::DScheme DiffScheme = math::CD_2ND>

const ValueType minVal